--- old/exception_lists/packaging	2016-11-07 23:58:53.622357130 +0000
+++ new/exception_lists/packaging	2016-11-07 23:58:53.629159418 +0000
@@ -25,6 +25,7 @@
 # Copyright 2014 Garrett D'Amore <garrett@damore.org>
 # Copyright 2014 Nexenta Systems, Inc.  All rights reserved.
 # Copyright 2016 Toomas Soome <tsoome@me.com>
+# Copyright 2016 RackTop Systems.
 #
 
 #
@@ -1000,3 +1001,16 @@
 usr/lib/llib-lficl-sys
 usr/lib/llib-lficl-sys.ln
 usr/lib/libficl-sys.so
+
+#
+# needed only for building sgs
+#
+lib/amd64/libld.so			i386
+lib/amd64/liblddbg.so			i386
+lib/amd64/librtld.so			i386
+lib/sparcv9/libld.so			sparc
+lib/sparcv9/liblddbg.so			sparc
+lib/sparcv9/librtld.so			sparc
+lib/libld.so
+lib/liblddbg.so
+lib/librtld.so
--- old/usr/src/cmd/sgs/libld/amd64/Makefile	2016-11-07 23:58:53.789306626 +0000
+++ new/usr/src/cmd/sgs/libld/amd64/Makefile	2016-11-07 23:58:53.794027591 +0000
@@ -23,7 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+# Copyright 2016 RackTop Systems.
 #
 
 include		../Makefile.com
@@ -45,7 +45,7 @@
 all:		$(DYNLIB) $(LIBLINKS)
 
 install \
-package:	all $(ROOTFS_DYNLIB64)
+package:	all $(ROOTFS_DYNLIB64) $(ROOTFS_LINKS64)
 
 include		../Makefile.targ
 include		../../Makefile.sub.64
--- old/usr/src/cmd/sgs/libld/i386/Makefile	2016-11-07 23:58:53.927839049 +0000
+++ new/usr/src/cmd/sgs/libld/i386/Makefile	2016-11-07 23:58:53.932992067 +0000
@@ -23,7 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+# Copyright 2016 RackTop Systems.
 #
 
 include		../Makefile.com
@@ -33,6 +33,6 @@
 all:		$(DYNLIB) $(LIBLINKS)
 
 install \
-package:	all $(ROOTFS_DYNLIB)
+package:	all $(ROOTFS_DYNLIB) $(ROOTFS_LINKS)
 
 include		../Makefile.targ
--- old/usr/src/cmd/sgs/libld/sparc/Makefile	2016-11-07 23:58:54.069261310 +0000
+++ new/usr/src/cmd/sgs/libld/sparc/Makefile	2016-11-07 23:58:54.073965233 +0000
@@ -23,7 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+# Copyright 2016 RackTop Systems.
 #
 
 include		../Makefile.com
@@ -33,6 +33,6 @@
 all:		$(DYNLIB) $(LIBLINKS)
 
 install \
-package:	all $(ROOTFS_DYNLIB)
+package:	all $(ROOTFS_DYNLIB) $(ROOTFS_LINKS)
 
 include		../Makefile.targ
--- old/usr/src/cmd/sgs/libld/sparcv9/Makefile	2016-11-07 23:58:54.209143521 +0000
+++ new/usr/src/cmd/sgs/libld/sparcv9/Makefile	2016-11-07 23:58:54.213924311 +0000
@@ -23,7 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+# Copyright 2016 RackTop Systems.
 #
 
 include		../Makefile.com
@@ -44,7 +44,7 @@
 all:		$(DYNLIB) $(LIBLINKS)
 
 install \
-package:	all $(ROOTFS_DYNLIB64)
+package:	all $(ROOTFS_DYNLIB64) $(ROOTFS_LINKS64)
 
 include		../Makefile.targ
 include		../../Makefile.sub.64
--- old/usr/src/cmd/sgs/liblddbg/amd64/Makefile	2016-11-07 23:58:54.350755096 +0000
+++ new/usr/src/cmd/sgs/liblddbg/amd64/Makefile	2016-11-07 23:58:54.355733831 +0000
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 1999, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2016 RackTop Systems.
 #
 
 include		../Makefile.com
@@ -41,7 +42,7 @@
 all:		$(DYNLIB) $(LIBLINKS)
 
 install \
-package:	all $(ROOTFS_DYNLIB64)
+package:	all $(ROOTFS_DYNLIB64) $(ROOTFS_LINKS64)
 
 include		../Makefile.targ
 include		../../Makefile.sub.64
--- old/usr/src/cmd/sgs/liblddbg/i386/Makefile	2016-11-07 23:58:54.492317276 +0000
+++ new/usr/src/cmd/sgs/liblddbg/i386/Makefile	2016-11-07 23:58:54.496944353 +0000
@@ -23,7 +23,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+# Copyright 2016 RackTop Systems.
 #
 
 include		../Makefile.com
@@ -33,6 +33,6 @@
 all:		$(DYNLIB) $(LIBLINKS)
 
 install \
-package:	all $(ROOTFS_DYNLIB)
+package:	all $(ROOTFS_DYNLIB) $(ROOTFS_LINKS)
 
 include		../Makefile.targ
--- old/usr/src/cmd/sgs/liblddbg/sparc/Makefile	2016-11-07 23:58:54.629691558 +0000
+++ new/usr/src/cmd/sgs/liblddbg/sparc/Makefile	2016-11-07 23:58:54.636169874 +0000
@@ -23,7 +23,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+# Copyright 2016 RackTop Systems.
 #
 
 include		../Makefile.com
@@ -33,6 +33,6 @@
 all:		$(DYNLIB) $(LIBLINKS)
 
 install \
-package:	all $(ROOTFS_DYNLIB)
+package:	all $(ROOTFS_DYNLIB) $(ROOTFS_LINKS)
 
 include		../Makefile.targ
--- old/usr/src/cmd/sgs/liblddbg/sparcv9/Makefile	2016-11-07 23:58:54.770286708 +0000
+++ new/usr/src/cmd/sgs/liblddbg/sparcv9/Makefile	2016-11-07 23:58:54.776131965 +0000
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 1997, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2016 RackTop Systems.
 #
 
 include		../Makefile.com
@@ -41,7 +42,7 @@
 all:		$(DYNLIB) $(LIBLINKS)
 
 install \
-package:	all $(ROOTFS_DYNLIB64)
+package:	all $(ROOTFS_DYNLIB64) $(ROOTFS_LINKS64)
 
 include		../Makefile.targ
 include		../../Makefile.sub.64
--- old/usr/src/cmd/sgs/librtld/amd64/Makefile	2016-11-07 23:58:54.911286542 +0000
+++ new/usr/src/cmd/sgs/librtld/amd64/Makefile	2016-11-07 23:58:54.916121160 +0000
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 1999, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2016 RackTop Systems.
 #
 
 include		$(SRC)/cmd/sgs/librtld/Makefile.com
@@ -36,7 +37,7 @@
 
 all:		$(DYNLIB) $(LIBLINKS)
 
-install:	all $(ROOTFS_DYNLIB64)
+install:	all $(ROOTFS_DYNLIB64) $(ROOTFS_LINKS64)
 
 lint:		$(LINTLIB) $(LINTOUT64) $(SGSLINTOUT)
 
--- old/usr/src/cmd/sgs/librtld/i386/Makefile	2016-11-07 23:58:55.051233527 +0000
+++ new/usr/src/cmd/sgs/librtld/i386/Makefile	2016-11-07 23:58:55.056272974 +0000
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 1995, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2016 RackTop Systems.
 #
 
 include		$(SRC)/cmd/sgs/librtld/Makefile.com
@@ -31,7 +32,7 @@
 
 all:		$(DYNLIB) $(LIBLINKS)
 
-install:	all $(ROOTFS_DYNLIB)
+install:	all $(ROOTFS_DYNLIB) $(ROOTFS_LINKS)
 
 lint:		$(LINTLIB) $(LINTOUT32) $(SGSLINTOUT)
 
--- old/usr/src/cmd/sgs/librtld/sparc/Makefile	2016-11-07 23:58:55.191242178 +0000
+++ new/usr/src/cmd/sgs/librtld/sparc/Makefile	2016-11-07 23:58:55.196295375 +0000
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 1995, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2016 RackTop Systems.
 #
 
 include		$(SRC)/cmd/sgs/librtld/Makefile.com
@@ -31,7 +32,7 @@
 
 all:		$(DYNLIB) $(LIBLINKS)
 
-install:	all $(ROOTFS_DYNLIB)
+install:	all $(ROOTFS_DYNLIB) $(ROOTFS_LINKS)
 
 lint:		$(LINTLIB) $(LINTOUT32) $(SGSLINTOUT)
 
--- old/usr/src/cmd/sgs/librtld/sparcv9/Makefile	2016-11-07 23:58:55.331738481 +0000
+++ new/usr/src/cmd/sgs/librtld/sparcv9/Makefile	2016-11-07 23:58:55.337002984 +0000
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 1997, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2016 RackTop Systems.
 #
 
 include		$(SRC)/cmd/sgs/librtld/Makefile.com
@@ -36,7 +37,7 @@
 
 all:		$(DYNLIB) $(LIBLINKS)
 
-install:	all $(ROOTFS_DYNLIB64)
+install:	all $(ROOTFS_DYNLIB64) $(ROOTFS_LINKS64)
 
 lint:		$(LINTLIB) $(LINTOUT64) $(SGSLINTOUT)
 
